SageCRM version required for SDATA access?

This question has suggested answer(s)

Hi,

I'm new to SageCRM and I can't seem to find what version of Sage CRM is required for SDATA access?  If mine supports it, I just get '404 - not found' errors when constructing the URLs.  

Thanks for any information anyone can provide.

Kind regards, D.

All Replies
  • Looks like I was missing the extra random 'j' required in the URL... Now that kind of works, I'd prefer JSON responses -- is that only available with SDATA 2.0?  And what version of Sage CRM is required for that?  Is there anywhere that this information exists?  Thanks. D.

  • Have you tried adding format=json to the URL? At present sdata 2.0 is only available with the .com version.

    Sage CRM specialist and all round fan! Please feel free to follow me on twitter @dannycrm

  • SData 2.0 and full CRUD will be coming to Sage CRM 7.3 soon.  I think we can expect to see this in a service pack later this year.


  • Thanks for the responses.  So is JSON only available with SDATA 2.0 in 7.3?  Appending format=json didn't seem to work.

  • Yes, the JSON and atom+xml formats are of equal importance from a protocol perspective in 2.0 - a difference to the SData 1.x .

  • your missing one thing append it with this &format=json and you will get json responce

  • Thankyou.  Yes, I tried that, but it didn't seem to change the response.  I'm guessing this is due to the version I'm using.

  • To be clear Sage CRM 7.3 and Sage CRM 7.3sp1 do not yet support SData 2.0 and JSON result sets.  This may come in a future service pack.


  • Oh, JSON responses from SData. That would be handy

  • SData 2.0 is not yet a published and supported API for Sage CRM but you can experiment with SData 2.0 from Sage CRM 2017 R1 onwards.